[CRIU] [PATCH 5/5] zdtm.sh: execute all zdtm test case for a defined commit

Andrey Vagin avagin at openvz.org
Fri Jan 11 14:56:24 EST 2013


This functionality can help to test a patch set:
for i in `git rev-list HEAD~15..HEAD`; do
	./test/zdtm.sh -c $i || break;
done

Signed-off-by: Andrey Vagin <avagin at openvz.org>
---
 test/zdtm.sh | 7 +++++++
 1 file changed, 7 insertions(+)
 mode change 100644 => 100755 test/zdtm.sh

diff --git a/test/zdtm.sh b/test/zdtm.sh
old mode 100644
new mode 100755
index 78b28f2..44b3bcf
--- a/test/zdtm.sh
+++ b/test/zdtm.sh
@@ -414,6 +414,13 @@ while :; do
 		shift
 		continue
 	fi
+	if [ "$1" = "-c" ]; then
+		shift
+		checkout $1 || exit 1
+		shift
+		$TMP_TREE/test/zdtm.sh "$@"
+		exit
+	fi
 	break;
 done
 
-- 
1.7.11.7



More information about the CRIU mailing list